Bug 1393934 - Review Request: php-http-interop-http-middleware - Common interface for HTTP middleware
Review Request: php-http-interop-http-middleware - Common interface for HTTP ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-10 11:31 EST by Remi Collet
Modified: 2016-12-14 22:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-10 19:27:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (1.45 KB, text/plain)
2016-11-27 18:13 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (1.45 KB, text/plain)
2016-11-27 18:13 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.26 KB, text/plain)
2016-11-27 18:14 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-11-10 11:31:50 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/c1719c75b4674b71f046aa0c04daab29281ed6ca/php/php-http-interop-http-middleware/php-http-interop-http-middleware.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-http-interop-http-middleware-0.2.0-1.remi.src.rpm
Description: 
PSR-15 interfaces for HTTP middleware.

Autoloader: /usr/share/php/Interop/Http/Middleware/autoload.php



Fedora Account System Username: remi


As usually, I will clean EL-5 during Fedora import.
Comment 1 Remi Collet 2016-11-10 11:46:47 EST
Notice: this is a new dependency of php-zendframework-zend-stratigility v1.3.0
Comment 2 Shawn Iwinski 2016-11-27 18:13 EST
Created attachment 1225029 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 3 Shawn Iwinski 2016-11-27 18:13 EST
Created attachment 1225030 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 4 Shawn Iwinski 2016-11-27 18:14 EST
Created attachment 1225031 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1393934
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 Shawn Iwinski 2016-11-27 18:16:43 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import



[!]: Latest version is packaged.

     Version 0.2.0 packaged, version 0.3.0 available



No blockers.

===== APPROVED =====
Comment 6 Gwyn Ciesla 2016-11-28 09:48:52 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-http-interop-http-middleware
Comment 7 Fedora Update System 2016-11-28 11:25:13 EST
php-http-interop-http-middleware-0.2.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6da16334da
Comment 8 Fedora Update System 2016-11-28 11:25:23 EST
php-http-interop-http-middleware-0.2.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a8b5fe22e8
Comment 9 Fedora Update System 2016-11-28 11:25:28 EST
php-http-interop-http-middleware-0.2.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-df959079af
Comment 10 Fedora Update System 2016-11-30 00:51:34 EST
php-http-interop-http-middleware-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a8b5fe22e8
Comment 11 Fedora Update System 2016-12-02 01:27:10 EST
php-http-interop-http-middleware-0.2.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-df959079af
Comment 12 Fedora Update System 2016-12-02 13:54:42 EST
php-http-interop-http-middleware-0.2.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6da16334da
Comment 13 Fedora Update System 2016-12-10 19:27:28 EST
php-http-interop-http-middleware-0.2.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-12-10 21:22:51 EST
php-http-interop-http-middleware-0.2.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-12-14 15:52:29 EST
php-http-interop-http-middleware-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-12-14 22:50:00 EST
php-http-interop-http-middleware-0.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.